Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.cult3d.world
Class Sprite

    java.lang.Object
      |
      +--com.cult3d.world.Sprite

public class Sprite
extends java.lang.Object

This class provides a way to access sprites in Cult3D.

Since:
  Cult3D 4.2

Method Summary
`java.lang.String` | `getInfo()` This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations and versions of Cult3D.
`static Sprite` | `getSprite(java.lang.String name)` Gets a sprite from the cult3D object.
`java.lang.String` | `toString()` Returns a string representation of the values of this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getSprite

    public static Sprite getSprite(java.lang.String name)

  Gets a sprite from the cult3D object. The name given must match the name of the sprite, as defined in the Cult3D Designer, exactly.
  Parameters:
    `name` - the name of the sprite.
  Returns:
    the sprite object which corresponds to the name given as parameter.
  Since:
    Cult3D 4.2

### getInfo

    public java.lang.String getInfo()

  This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations and versions of Cult3D.

  Returns:
    A string representing this object.
  Since:
    Cult3D 5.3

### toString

    public java.lang.String toString()

  Returns a string representation of the values of this object.

  This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations and versions of Cult3D.

  Overrides:
    toString in class java.lang.Object
  Returns:
    A string representing this object.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD